Bug 784741 - [abrt] kernel: WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
[abrt] kernel: WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:2d50b965b93c9b0ef41669d7d3d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-25 19:20 EST by JoseTlaseca
Modified: 2012-04-19 12:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JoseTlaseca 2012-01-25 19:20:14 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.1-3.fc16.x86_64 root=/dev/mapper/vg_gateway-lv_root ro rd.md=0 rd.lvm.lv=vg_gateway/lv_swap KEYTABLE=es quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_gateway/lv_root rd.dm=0
kernel:         3.2.1-3.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
time:           mié 25 ene 2012 18:02:30 CST

backtrace:
:WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
:Hardware name: NV57H
:list_del corruption. prev->next should be ffff8801c2f41b18, but was           (null)
:Modules linked in: tcp_lp nls_utf8 udf crc_itu_t ppdev parport_pc lp parport fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek fuse arc4 snd_hda_intel snd_hda_codec ath9k snd_hwdep mac80211 uvcvideo ath9k_common videodev ath9k_hw media tg3 v4l2_compat_ioctl32 ath snd_seq snd_seq_device acer_wmi iTCO_wdt snd_pcm iTCO_vendor_support snd_timer uinput cfg80211 snd microcode joydev i2c_i801 sparse_keymap rfkill soundcore snd_page_alloc sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 1, comm: systemd Not tainted 3.2.1-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dc8f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106dd86>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812c9571>] __list_del_entry+0xa1/0xd0
: [<ffffffff811a177a>] inode_wb_list_del+0x5a/0x90
: [<ffffffff81191c83>] evict+0x53/0x1a0
: [<ffffffff81191ed3>] iput+0x103/0x200
: [<ffffffff810bc00f>] cgroup_diput+0xdf/0xf0
: [<ffffffff8118e96f>] d_kill+0x9f/0x100
: [<ffffffff8118f1d2>] dput+0xe2/0x1b0
: [<ffffffff810bb18f>] cgroup_clear_directory+0x8f/0x100
: [<ffffffff810be2f8>] cgroup_rmdir+0x398/0x4c0
: [<ffffffff81090380>] ? remove_wait_queue+0x50/0x50
: [<ffffffff81185305>] vfs_rmdir+0xb5/0x110
: [<ffffffff81187613>] do_rmdir+0x103/0x120
: [<ffffffff81188886>] sys_rmdir+0x16/0x20
: [<ffffffff815e8f02>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 74652c40-16cc-47a6-86ed-3f76dace07d5
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4788.36
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:Paso del UCP: 7
:Familia de UCP: 6
:Número de Modelo de CPU: 42
:Número de CPUs: 4
:Velocidad del CPU: 2401
:Memoria del Sistema: 5825
:Intercambio (swap) del Sistema: 7871
:Vendedor: Gateway
:Sistema: NV57H V1.14
:Factor de forma: Notebook
:Kernel: 3.2.1-3.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:7241:4133:1297) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4133:1297) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4133:1297) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4133:1297) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1297) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4133:1297) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1297) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:46:4525:26115) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7213:4133:1297) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1297) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1297) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1297) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_gateway-lv_root / ext4 4096 4096 13092026 11076864 10945842 3276800 3035690 3035690
:/dev/sda6 /boot ext4 1024 1024 508745 458436 432836 128016 127790 127790
:/dev/sda5 WITHHELD fuseblk 4096 4096 66349311 41556490 41556490 166324264 166266729 166266729
:/dev/mapper/vg_gateway-lv_home /home ext4 4096 4096 10324545 9237854 8720530 2588672 2535139 2535139
:
Comment 1 Josh Boyer 2012-03-01 13:47:01 EST
Was this on a resume from suspend/hibernate?
Comment 2 Dave Jones 2012-03-09 13:04:29 EST
if you could run the kernel-debug build at
http://koji.fedoraproject.org/koji/buildinfo?buildID=304798 that might turn up
a different trace that might be helpful to us to track this down.

(it's going to be considerably slower than the regular build, due to the extra
checking).
Comment 3 Dave Jones 2012-03-22 12:52:51 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:56:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:07:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 amelentev 2012-04-04 14:26:20 EDT
after run pmtd-measure @ PM Test day
hp dv6-6153cl


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

Note You need to log in before you can comment on or make changes to this bug.